import { ApiEntity, ComponentEntity, DomainEntity, GroupEntity, LocationEntity, ResourceEntity, SystemEntity, UserEntity } from '../kinds';
import { Entity } from './Entity';
/**
 * @public
 */
export declare function isApiEntity(entity: Entity): entity is ApiEntity;
/**
 * @public
 */
export declare function isComponentEntity(entity: Entity): entity is ComponentEntity;
/**
 * @public
 */
export declare function isDomainEntity(entity: Entity): entity is DomainEntity;
/**
 * @public
 */
export declare function isGroupEntity(entity: Entity): entity is GroupEntity;
/**
 * @public
 */
export declare function isLocationEntity(entity: Entity): entity is LocationEntity;
/**
 * @public
 */
export declare function isResourceEntity(entity: Entity): entity is ResourceEntity;
/**
 * @public
 */
export declare function isSystemEntity(entity: Entity): entity is SystemEntity;
/**
 * @public
 */
export declare function isUserEntity(entity: Entity): entity is UserEntity;
